<?php

/**
 * @file
 * Default theme implementation to present google chat.
 */
?>

<div id="googlechat-wrapper">
  <div id="googlechat">
    <div class="googlechat_notification_sound_panel googlechat-corner-all">
      <ul>
      <?php foreach (array('sound_on' => 1, 'sound_off' => 2) as $key => $val):?>
        <li class="<?php print $key;?>">
          <a href="javascript:;">
            <?php $class = ($googlechatpanelsoundstatus == $val) ? 'googlechat-icon-check' : 'clear_background_image'; ?>
            <?php $text = ($key == 'sound_on') ? 'Yes' : 'No'; ?>
            <span class="googlechat-icon-hover <?php print $class;?>"></span><?php print $text;?>
          </a>
        </li>
      <?php endforeach;?>
      </ul>
    </div>
    <div class="status_indicator_panel googlechat-corner-all">
      <ul>
        <li><img class="J-N-JX googlechatstatus_1 googlechatstatus" src="<?php echo url(drupal_get_path('module', 'googlechat'), array('absolute' => TRUE));?>/images/cleardot.gif" alt="">Available</li>
        <li><img class="J-N-JX googlechatstatus_2 googlechatstatus" src="<?php echo url(drupal_get_path('module', 'googlechat'), array('absolute' => TRUE));?>/images/cleardot.gif" alt="">Busy</li>
        <li><img class="J-N-JX googlechatstatus_4 googlechatstatus" src="<?php echo url(drupal_get_path('module', 'googlechat'), array('absolute' => TRUE));?>/images/cleardot.gif" alt="">Invisible</li>
      </ul>
    </div>
    <div class="googlechat_subpanel googlechat-box-all googlechat-widget-content">
	    <div class="googlechat_subpanel_title googlechat-corner-all">
	      <div style="margin-left: 1px;">
	        <img src="<?php print $googlechatpanelimage; ?>" alt="<?php print $googlechatpanelname; ?>" width="28">
	      </div>
	      <div class="status_indicator">
	        <img class="googlechatstatus googlechatstatus_<?php print $googlechatpanelstatus;?>" src="<?php echo url(drupal_get_path('module', 'googlechat'), array('absolute' => TRUE));?>/images/cleardot.gif" alt="Online">
	        <img class="aCR" src="<?php echo url(drupal_get_path('module', 'googlechat'), array('absolute' => TRUE));?>/images/cleardot.gif" alt="">
	      </div>

	      <div class="googlechat_titlebar_min">
	        <a href="javascript:;" style="float: left;height: 16px;">
	          <span class="googlechat-icon googlechat-icon-minus"></span>
	        </a>
	      </div>
	      <div class="googlechat_setting_wrapper">
	        <a class="googlechat_notification_sound" href="javascript:;" title="Play Sound" style="float: left;height: 16px;">
	          <span class="googlechat-icon googlechat-icon-wrench"></span>
	        </a>
	      </div>
	    </div>


  	  <div id="googlechatbuddylist"><?php print $googlechatpanels; ?></div>
  	</div>
  </div>
</div>
